Subject: [bug#66359] [PATCH] gnu: curl: Update to 8.3.0.

From: Simon Tournier <[email-masked]>
Date: Fri, 6 Oct 2023 11:09:38 +0200

Hi Liliana,

On Fri, 6 Oct 2023 at 10:54, Liliana Marie Prikler
<[email-masked]> wrote:

> > Naive question, why %version and not version?
>
> Because version gets shadowed by (package …).  I could reorder the
> fields in a non-standard way, but that'd be even less readable,
> therefore the extra variable.

Ah, I see.  Thanks for explaining.

Well, %something is usually for "global" parameters.  At least, that
the convention with Guix.  Therefore, I would suggest to not use it in
order to avoid confusion.

Why not "this-version"?

Cheers,
simon